path: /build/build/cryfs-sys-fs-0.10.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge sys-fs/cryfs -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps sys-fs/cryfs
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cryfs && luet-portage --dir /pkgdir/cryfs
    sys-fs/cryfs && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:786958dc6a2951bc9cadbde5cb74238e6bbe9664fd49b98b4c1d9ceced4f7fa8
  package:
    name: cryfs
    version: 0.10.4
    category: sys-fs
    use_flags:
    - -test
    requires:
    - name: crypto++
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Encrypted FUSE filesystem that conceals metadata
    uri:
    - https://www.cryfs.org/
    license: LGPL-3 MIT
    buildtimestamp: 2023-11-29 22:57:43.605016678 +0000 UTC m=+310.586906303
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) dev-util/ninja dev-util/cmake'
      DEPEND: '>=dev-libs/boost-1.65.1 >=dev-libs/crypto++-8.2.0 net-misc/curl >=sys-fs/fuse-2.8.6
        dev-libs/openssl test? ( dev-cpp/gtest )'
      IUSE: debug test kernel_linux
      RDEPEND: '>=dev-libs/boost-1.65.1 >=dev-libs/crypto++-8.2.0 net-misc/curl >=sys-fs/fuse-2.8.6
        dev-libs/openssl'
      emerge.packages: sys-fs/cryfs
      kit: core-kit
      original.package.name: sys-fs/cryfs
      original.package.slot: "0"
      original.package.version: 0.10.4
    treedir: /build/packages
  package_dir: /pkgdir/cryfs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d5e247f1647e9deb1e97a3161ccc914260712de999813bcdf4dcdbc329568433
compressiontype: zstd
files:
- usr/bin/cryfs
- usr/bin/cryfs-unmount
- usr/share/doc/cryfs-0.10.4/README.md.bz2
- usr/share/man/man1/cryfs.1.bz2
- var/db/pkg/sys-fs/cryfs-0.10.4/BDEPEND
- var/db/pkg/sys-fs/cryfs-0.10.4/BUILD_TIME
- var/db/pkg/sys-fs/cryfs-0.10.4/CATEGORY
- var/db/pkg/sys-fs/cryfs-0.10.4/CBUILD
- var/db/pkg/sys-fs/cryfs-0.10.4/CFLAGS
- var/db/pkg/sys-fs/cryfs-0.10.4/CHOST
- var/db/pkg/sys-fs/cryfs-0.10.4/CONTENTS
- var/db/pkg/sys-fs/cryfs-0.10.4/COUNTER
- var/db/pkg/sys-fs/cryfs-0.10.4/CXXFLAGS
- var/db/pkg/sys-fs/cryfs-0.10.4/DEFINED_PHASES
- var/db/pkg/sys-fs/cryfs-0.10.4/DEPEND
- var/db/pkg/sys-fs/cryfs-0.10.4/DESCRIPTION
- var/db/pkg/sys-fs/cryfs-0.10.4/EAPI
- var/db/pkg/sys-fs/cryfs-0.10.4/FEATURES
- var/db/pkg/sys-fs/cryfs-0.10.4/HOMEPAGE
- var/db/pkg/sys-fs/cryfs-0.10.4/INHERITED
- var/db/pkg/sys-fs/cryfs-0.10.4/IUSE
- var/db/pkg/sys-fs/cryfs-0.10.4/IUSE_EFFECTIVE
- var/db/pkg/sys-fs/cryfs-0.10.4/KEYWORDS
- var/db/pkg/sys-fs/cryfs-0.10.4/LDFLAGS
- var/db/pkg/sys-fs/cryfs-0.10.4/LICENSE
- var/db/pkg/sys-fs/cryfs-0.10.4/NEEDED
- var/db/pkg/sys-fs/cryfs-0.10.4/PF
- var/db/pkg/sys-fs/cryfs-0.10.4/RDEPEND
- var/db/pkg/sys-fs/cryfs-0.10.4/REQUIRES
- var/db/pkg/sys-fs/cryfs-0.10.4/RESTRICT
- var/db/pkg/sys-fs/cryfs-0.10.4/SIZE
- var/db/pkg/sys-fs/cryfs-0.10.4/SLOT
- var/db/pkg/sys-fs/cryfs-0.10.4/USE
- var/db/pkg/sys-fs/cryfs-0.10.4/cryfs-0.10.4.ebuild
- var/db/pkg/sys-fs/cryfs-0.10.4/environment.bz2
- var/db/pkg/sys-fs/cryfs-0.10.4/repository
package_cacheimage: ""
runtime:
  name: cryfs
  version: 0.10.4
  category: sys-fs
  use_flags:
  - -test
  requires:
  - name: boost
    version: '>=0'
    category: dev-libs
  - name: crypto++
    version: '>=0'
    category: dev-libs
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: curl
    version: '>=0'
    category: net-misc
  - name: fuse
    version: '>=0'
    category: sys-fs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Encrypted FUSE filesystem that conceals metadata
  uri:
  - https://www.cryfs.org/
  license: LGPL-3 MIT
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) dev-util/ninja dev-util/cmake'
    DEPEND: '>=dev-libs/boost-1.65.1 >=dev-libs/crypto++-8.2.0 net-misc/curl >=sys-fs/fuse-2.8.6
      dev-libs/openssl test? ( dev-cpp/gtest )'
    IUSE: debug test kernel_linux
    RDEPEND: '>=dev-libs/boost-1.65.1 >=dev-libs/crypto++-8.2.0 net-misc/curl >=sys-fs/fuse-2.8.6
      dev-libs/openssl'
    emerge.packages: sys-fs/cryfs
    kit: core-kit
    original.package.name: sys-fs/cryfs
    original.package.slot: "0"
    original.package.version: 0.10.4
